<?php

namespace Drupal\stripe_webhooks\Event;

use Stripe\Event as StripeEvent;
use \Symfony\Contracts\EventDispatcher\Event as DispatcherEvent;

/**
 * Defines the checkout session event.
 *
 * @see https://stripe.com/docs/api/events/types#checkout_session_object
 */
class CheckoutSessionEvent extends DispatcherEvent {

  /**
   * The checkout session.
   *
   * @var \Stripe\Event
   */
  protected $checkout_session;

  /**
   * Constructs a new AccountEvent.
   *
   * @param \Stripe\Event $charge
   *   The charge.
   */
  public function __construct(StripeEvent $checkout_session) {
    $this->checkout_session = $checkout_session;
  }

  /**
   * Gets the checkout_session.
   *
   * @return \Stripe\Event
   *   Returns the checkout_session.
   */
  public function getCheckoutSession() {
    return $this->checkout_session;
  }

}
